<?php

require_once(__DIR__ . '/vendor/autoload.php');
use Fingerprint\ServerAPI\Api\FingerprintApi;
use Fingerprint\ServerAPI\Configuration;
use GuzzleHttp\Client;

// Obtener el JSON de entrada
$input = file_get_contents("php://input");
$data = json_decode($input, true);
$requestId = $data['requestId'];

// Tu clave API de Fingerprint
$apiKey = "ylasgF1zbFDEtUQqMkGg";

// Inicializar el cliente de la API de Fingerprint
$config = Configuration::getDefaultConfiguration($apiKey);
$client = new FingerprintApi(new Client(), $config);

try {
    // Obtener el historial de visitas de un evento de identificación específico usando el requestId
    $event = $client->getEvent($requestId);
    echo "<pre>" . $event->__toString() . "</pre>";
} catch (Exception $e) {
    echo $e->getMessage(), PHP_EOL;
}
?>
